package com.unis.ynls.dataDictionary.config;

import com.github.pagehelper.PageHelper;
import tk.mybatis.mapper.autoconfigure.ConfigurationCustomizer;

import java.util.Properties;

/**
 * @Description: Mybatis工具类
 * @author: 杨祖榕
 * @Date: 2019-01-05 11:51
 * @Version v1.0
 **/
public class MyBatisUtil {

    public static PageHelper getPageHelper() {
        PageHelper pageHelper = new PageHelper();
        Properties properties = new Properties();
        properties.setProperty("offsetAsPageNum", "true");
        properties.setProperty("rowBoundsWithCount", "true");
        properties.setProperty("reasonable", "true");
        pageHelper.setProperties(properties);
        return pageHelper;
    }

    public static ConfigurationCustomizer getConfigurationCustomizer() {

        return new ConfigurationCustomizer() {
            @Override
            public void customize(org.apache.ibatis.session.Configuration configuration) {
                configuration.setMapUnderscoreToCamelCase(true);//设置驼峰命名规则
            }
        };
    }

}
