package com.unis.ynls.dataDictionary.utils.vo;

import lombok.Data;

/**
 * 
 * @ClassName: CurrentUserDTO 
 * @Description: 获取当前登陆用户信息 
 * @author tiechanglong
 * @date 2018年12月1日 下午12:09:08 
 * 
 * @version 1.2.0
 */
@Data
public class CurrentUserDTO {


    /**
     * 用户id
     */
    private String id;

    /**
    *用户账号 不能为空
     */
    private String account;

    /**
     * 用户姓名
     */
    private String name;

    /**
     * 所在单位ID
     */
    private String orgId;

    /**
     * 所在单位名称
     */
    private String orgName;

    /**
     * 地域级别
     */
    private Integer areaLevel;

}
