package com.unis.ynls.dataDictionary.utils.vo;

import lombok.Getter;
import lombok.Setter;

/**
 * @ClassName OrgainzeDTO
 * @Description 行政机构DTO
 * @Author XuYixuan
 * @Date 2019/4/15 17:00
 * @Version 1.0
 */
@Getter
@Setter
public class OrgainzeDTO {

    /**
     *  组织编号
     */
    private String orgCode;

    /**
     *  组织名称
     */
    private String orgName;

    /**
     *  组织等级
     */
    private String orgLevel;

    /**
     * 父级编号
     */
    private String parentCode;

    /**
     * 机构类型
     */
    private String orgType;

    /**
     *  区域编码
     */
    private String countyCode;

    /**
     * 联系人
     */
    private String contactMan;

    /**
     * 联系地址
     */
    private String orgAddress;

    /**
     * 电子邮箱
     */
    private String orgEmail;

    /**
     * 邮编
     */
    private String orgPost;

    /**
     *  联系电话
     */
    private String orgPhone;

    /**
     * 手机
     */
    private String orgMobile;

    /**
     * 传真
     */
    private String orgFax;

    /**
     *  经度
     */
    private float longitude;

    /**
     *  纬度
     */
    private float latitude;

    /**
     * 简介
     */
    private String breif;

    /**
     *  排序
     */
    private int orderBy;
}
