package com.unis.ynls.dataDictionary.utils.vo;

import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * @ClassName: SystemLogDO
 * @Description: 系统日志
 * @author huangshuai
 * @date 2019年2月13日 下午2:31:25
 * 
 * @version v1.0
 */

@Getter
@Setter
public class SystemLogVO {

	// id
	private String id;

	// 方法名
	private String funName;

	// 操作类型
	private String operationType;

	// 应用部署IP
	private String appIp;

	// 日志级别
	private String priority;

	// 访问时间
	private Date visitDate;

	// 响应时间
	private Date respDate;

	// 操作用户IP
	private String userIp;

	// 操作用户名
	private String userName;

	// 传入参数
	private String params;

	// 返回参数
	private String resultMessage;

	// 返回状态
	private Integer resultStatus;

	// 状态 1：正常，0：已作废
	private Integer status;

	// 备注
	private String remark;

}