package com.unis.ynls.dataDictionary.utils.vo;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class UserVO {

    private Long id;
	 //用户账号 不能为空
    private String username;

    //用户密码 不能为空
    private String password;

    //姓名
    private String name;

    //用户性别
    private String sex;

    //手机号
    private String phone;

    //用户email
    private String email;

    //用户头像名称
    private String img;

    //用户头像
    private String photo;

    //上级节点id
    private Long departmentParentId;

    //上级节点名称
    private String departmentParentName;

    //部门id
    private Long departmentId;

    //部门名称
    private String departmentName;
    //行政区划代码
    private String areaCode;
    
    //职位id
    private Long positionId;

    //职位名称
    private String positionName;

    //账号是否有效（0有效 ,1无效）
    private Integer valid;

    //数据范围
    private Integer range;

    // 用户标志  1:粮食局用户  2:企业用户
    private Integer sign;

    //企业用户
    private Long qyUserId;


    private Integer userNodeLevel;
    /**
     * 备注
     */
    private String memo;
}
