package com.unis.ynls.dataDictionary.vo;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

/**
 * 数据字典  表现层对象
 *
 * @author 杨祖榕
 * @since 2018-11-09 19:57:57
 */
@Getter
@Setter
@ToString
public class DataDictionaryVO implements Serializable {

    /**
     * 主键
     */
    private Integer id;

    /**
     * 字典编码
     */
    private String dictCode;

    /**
     * 字典名称
     */
    private String dictName;

    /**
     * 父字典code
     */
    private String pdictCode;

    /**
     * 所属分组id
     */
    private String groupId;

    /**
     * 备注
     */
    private String remark;

    /**
     * 下一层级的数据字典数据
     */
    private List<DataDictionaryVO> subDataDictionarys=null;

    // 默认1，标识字典
    private Integer type;

    /** 国标码*/
    private String gbCode;
}
